<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:41 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>WiaImagePropertyType (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="WiaImagePropertyType (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9,"i2":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/WiaImagePropertyType.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImageIntent.html" title="enum in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html" title="enum in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html" target="_top">Frames</a></li>
<li><a href="WiaImagePropertyType.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">io.mosip.registration.device.scanner.wia</div>
<h2 title="Enum WiaImagePropertyType" class="title">Enum WiaImagePropertyType</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang">java.lang.Enum</a>&lt;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaImagePropertyType</a>&gt;</li>
<li>
<ul class="inheritance">
<li>io.mosip.registration.device.scanner.wia.WiaImagePropertyType</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>com4j.ComEnum, <a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaImagePropertyType</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public enum <span class="typeNameLabel">WiaImagePropertyType</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang">Enum</a>&lt;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaImagePropertyType</a>&gt;
implements com4j.ComEnum</pre>
<div class="block"><p>
 The WiaImagePropertyType enumeration specifies the type of the value of an image property. Image properties can be found in the Properties collection of an ImageFile object.
 </p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== ENUM CONSTANT SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.summary">
<!--   -->
</a>
<h3>Enum Constant Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Constant Summary table, listing enum constants, and an explanation">
<caption><span>Enum Constants</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Enum Constant and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html#ByteImagePropertyType">ByteImagePropertyType</a></span></code>
<div class="block">
 The value of the image property is a Byte.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html#LongImagePropertyType">LongImagePropertyType</a></span></code>
<div class="block">
 The value of the image property is a Long.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html#RationalImagePropertyType">RationalImagePropertyType</a></span></code>
<div class="block">
 The value of the image property is returned as a Rational Object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html#StringImagePropertyType">StringImagePropertyType</a></span></code>
<div class="block">
 The value of the image property is a String.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html#UndefinedImagePropertyType">UndefinedImagePropertyType</a></span></code>
<div class="block">
 The value of the image property is undefined returned as a Byte.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html#UnsignedIntegerImagePropertyType">UnsignedIntegerImagePropertyType</a></span></code>
<div class="block">
 The value of the image property is returned as a non-negative Integer.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html#UnsignedLongImagePropertyType">UnsignedLongImagePropertyType</a></span></code>
<div class="block">
 The value of the image property is returned as a non-negative Long.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html#UnsignedRationalImagePropertyType">UnsignedRationalImagePropertyType</a></span></code>
<div class="block">
 The value of the image property is returned as a Rational Object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html#VectorOfBytesImagePropertyType">VectorOfBytesImagePropertyType</a></span></code>
<div class="block">
 The value of the image property is a Vector object containing Byte elements.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html#VectorOfLongsImagePropertyType">VectorOfLongsImagePropertyType</a></span></code>
<div class="block">
 The value of the image property is a Vector object containing Long elements.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html#VectorOfRationalsImagePropertyType">VectorOfRationalsImagePropertyType</a></span></code>
<div class="block">
 The value of the image property is returned as a Vector object containing Rational object elements.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html#VectorOfUndefinedImagePropertyType">VectorOfUndefinedImagePropertyType</a></span></code>
<div class="block">
 The value of the image property is returned as a Vector object containing Byte elements.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html#VectorOfUnsignedIntegersImagePropertyType">VectorOfUnsignedIntegersImagePropertyType</a></span></code>
<div class="block">
 The value of the image property is returned as a Vector object containing Integer elements.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html#VectorOfUnsignedLongsImagePropertyType">VectorOfUnsignedLongsImagePropertyType</a></span></code>
<div class="block">
 The value of the image property is returned as a Vector object containing Long elements.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html#VectorOfUnsignedRationalsImagePropertyType">VectorOfUnsignedRationalsImagePropertyType</a></span></code>
<div class="block">
 The value of the image property is returned as a Vector object containing Rational object elements.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html#comEnumValue--">comEnumValue</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaImagePropertyType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html#valueOf-java.lang.String-">valueOf</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaImagePropertyType</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html#values--">values</a></span>()</code>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Enum">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang">Enum</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#compareTo-E-" title="class or interface in java.lang">compareTo</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#getDeclaringClass--" title="class or interface in java.lang">getDeclaringClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#name--" title="class or interface in java.lang">name</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#ordinal--" title="class or interface in java.lang">ordinal</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#valueOf-java.lang.Class-java.lang.String-" title="class or interface in java.lang">valueOf</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ ENUM CONSTANT DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.detail">
<!--   -->
</a>
<h3>Enum Constant Detail</h3>
<a name="UndefinedImagePropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UndefinedImagePropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaImagePropertyType</a> UndefinedImagePropertyType</pre>
<div class="block"><p>
 The value of the image property is undefined returned as a Byte.
 </p>
 <p>
 The value of this constant is 1000
 </p></div>
</li>
</ul>
<a name="ByteImagePropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ByteImagePropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaImagePropertyType</a> ByteImagePropertyType</pre>
<div class="block"><p>
 The value of the image property is a Byte.
 </p>
 <p>
 The value of this constant is 1001
 </p></div>
</li>
</ul>
<a name="StringImagePropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>StringImagePropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaImagePropertyType</a> StringImagePropertyType</pre>
<div class="block"><p>
 The value of the image property is a String.
 </p>
 <p>
 The value of this constant is 1002
 </p></div>
</li>
</ul>
<a name="UnsignedIntegerImagePropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UnsignedIntegerImagePropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaImagePropertyType</a> UnsignedIntegerImagePropertyType</pre>
<div class="block"><p>
 The value of the image property is returned as a non-negative Integer.
 </p>
 <p>
 The value of this constant is 1003
 </p></div>
</li>
</ul>
<a name="LongImagePropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LongImagePropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaImagePropertyType</a> LongImagePropertyType</pre>
<div class="block"><p>
 The value of the image property is a Long.
 </p>
 <p>
 The value of this constant is 1004
 </p></div>
</li>
</ul>
<a name="UnsignedLongImagePropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UnsignedLongImagePropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaImagePropertyType</a> UnsignedLongImagePropertyType</pre>
<div class="block"><p>
 The value of the image property is returned as a non-negative Long.
 </p>
 <p>
 The value of this constant is 1005
 </p></div>
</li>
</ul>
<a name="RationalImagePropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RationalImagePropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaImagePropertyType</a> RationalImagePropertyType</pre>
<div class="block"><p>
 The value of the image property is returned as a Rational Object.
 </p>
 <p>
 The value of this constant is 1006
 </p></div>
</li>
</ul>
<a name="UnsignedRationalImagePropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UnsignedRationalImagePropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaImagePropertyType</a> UnsignedRationalImagePropertyType</pre>
<div class="block"><p>
 The value of the image property is returned as a Rational Object.
 </p>
 <p>
 The value of this constant is 1007
 </p></div>
</li>
</ul>
<a name="VectorOfUndefinedImagePropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VectorOfUndefinedImagePropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaImagePropertyType</a> VectorOfUndefinedImagePropertyType</pre>
<div class="block"><p>
 The value of the image property is returned as a Vector object containing Byte elements.
 </p>
 <p>
 The value of this constant is 1100
 </p></div>
</li>
</ul>
<a name="VectorOfBytesImagePropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VectorOfBytesImagePropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaImagePropertyType</a> VectorOfBytesImagePropertyType</pre>
<div class="block"><p>
 The value of the image property is a Vector object containing Byte elements.
 </p>
 <p>
 The value of this constant is 1101
 </p></div>
</li>
</ul>
<a name="VectorOfUnsignedIntegersImagePropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VectorOfUnsignedIntegersImagePropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaImagePropertyType</a> VectorOfUnsignedIntegersImagePropertyType</pre>
<div class="block"><p>
 The value of the image property is returned as a Vector object containing Integer elements.
 </p>
 <p>
 The value of this constant is 1102
 </p></div>
</li>
</ul>
<a name="VectorOfLongsImagePropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VectorOfLongsImagePropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaImagePropertyType</a> VectorOfLongsImagePropertyType</pre>
<div class="block"><p>
 The value of the image property is a Vector object containing Long elements.
 </p>
 <p>
 The value of this constant is 1103
 </p></div>
</li>
</ul>
<a name="VectorOfUnsignedLongsImagePropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VectorOfUnsignedLongsImagePropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaImagePropertyType</a> VectorOfUnsignedLongsImagePropertyType</pre>
<div class="block"><p>
 The value of the image property is returned as a Vector object containing Long elements.
 </p>
 <p>
 The value of this constant is 1104
 </p></div>
</li>
</ul>
<a name="VectorOfRationalsImagePropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VectorOfRationalsImagePropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaImagePropertyType</a> VectorOfRationalsImagePropertyType</pre>
<div class="block"><p>
 The value of the image property is returned as a Vector object containing Rational object elements.
 </p>
 <p>
 The value of this constant is 1105
 </p></div>
</li>
</ul>
<a name="VectorOfUnsignedRationalsImagePropertyType">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>VectorOfUnsignedRationalsImagePropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaImagePropertyType</a> VectorOfUnsignedRationalsImagePropertyType</pre>
<div class="block"><p>
 The value of the image property is returned as a Vector object containing Rational object elements.
 </p>
 <p>
 The value of this constant is 1106
 </p></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="values--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>values</h4>
<pre>public static&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaImagePropertyType</a>[]&nbsp;values()</pre>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.  This method may be used to iterate
over the constants as follows:
<pre>
for (WiaImagePropertyType c : WiaImagePropertyType.values())
&nbsp;   System.out.println(c);
</pre></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an array containing the constants of this enum type, in the order they are declared</dd>
</dl>
</li>
</ul>
<a name="valueOf-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>valueOf</h4>
<pre>public static&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaImagePropertyType</a>&nbsp;valueOf(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block">Returns the enum constant of this type with the specified name.
The string must match <i>exactly</i> an identifier used to declare an
enum constant in this type.  (Extraneous whitespace characters are 
not permitted.)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name of the enum constant to be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the enum constant with the specified name</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - if this enum type has no constant with the specified name</dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/NullPointerException.html?is-external=true" title="class or interface in java.lang">NullPointerException</a></code> - if the argument is null</dd>
</dl>
</li>
</ul>
<a name="comEnumValue--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>comEnumValue</h4>
<pre>public&nbsp;int&nbsp;comEnumValue()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>comEnumValue</code>&nbsp;in interface&nbsp;<code>com4j.ComEnum</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/WiaImagePropertyType.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImageIntent.html" title="enum in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html" title="enum in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html" target="_top">Frames</a></li>
<li><a href="WiaImagePropertyType.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
